Ubuntu 6.06 LTS / 8.04 LTS / 8.10 / 9.04 : fetchmail vulnerability (USN-816-1)

Medium Nessus Plugin ID 40590

Synopsis

The remote Ubuntu host is missing one or more security-related patches.

Description

Matthias Andree discovered that fetchmail did not properly handle certificates with NULL characters in the certificate name. A remote attacker could exploit this to perform a man in the middle attack to view sensitive information or alter encrypted communications.

Note that Tenable Network Security has extracted the preceding description block directly from the Ubuntu security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected fetchmail and / or fetchmailconf packages.

See Also

https://usn.ubuntu.com/816-1/

Plugin Details

Severity: Medium

ID: 40590

File Name: ubuntu_USN-816-1.nasl

Version: 1.12

Type: local

Agent: unix

Published: 2009/08/13

Updated: 2018/11/28

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:canonical:ubuntu_linux:fetchmail, p-cpe:/a:canonical:ubuntu_linux:fetchmailconf, cpe:/o:canonical:ubuntu_linux:6.06:-:lts, cpe:/o:canonical:ubuntu_linux:8.04:-:lts, cpe:/o:canonical:ubuntu_linux:8.10, cpe:/o:canonical:ubuntu_linux:9.04

Required KB Items: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

Patch Publication Date: 2009/08/12

Reference Information

CVE: CVE-2009-2666

USN: 816-1

CWE: 310